@import '_content/SharedComponents.Library/SharedComponents.Library.cf72zlgfet.bundle.scp.css';

/* _content/Nexus.Web/Components/Commerce/ExchangePrintCoupon/ExchangePrintCoupon.razor.rz.scp.css */
.page-preview[b-19c5kv8ifw] {
    width:  690px;
    height:  843px;
    border:  1px solid var(--admin-palette-gray-80);
}

[b-19c5kv8ifw] .coupon {
    width: 589px;
    height: auto;
    border: 1px solid var(--admin-palette-gray-30);
    padding: 14px 24px;
    margin-bottom:  70px;
}

[b-19c5kv8ifw] .coupon__logo > img {
    max-width: 250px;
    max-height: 100px;
}

[b-19c5kv8ifw] .coupon__notice {
    font-size: 10px;
    font-weight: 700;
}

[b-19c5kv8ifw] .coupon__barcode {
    width:  200px;
    text-align: center;
}

 [b-19c5kv8ifw] .coupon__barcode-id {
     margin-top: -20px;
 }

[b-19c5kv8ifw] .coupon__terms { font-size:  12px; }

[b-19c5kv8ifw] .store { text-align: center; }

[b-19c5kv8ifw] .store__notice {
    font-weight:  700;
    font-size:  12px;
}

@media print {
    .page-preview[b-19c5kv8ifw] {
        border: none !important;
    }
}
/* _content/Nexus.Web/Components/Commerce/ReceiptLookupTransactionRecord/ReceiptLookupTransactionRecord.razor.rz.scp.css */
.align-center[b-24zlke7n9c] { text-align: center; }

.flex-between[b-24zlke7n9c] {
    display: flex;
    justify-content: space-between;

    > *:first-child { text-align: left; }
    > *:last-child[b-24zlke7n9c] { text-align: right; }
}

.receipt[b-24zlke7n9c] {
    border: 1px solid var(--admin-palette-gray-30);
    padding: 24px;
    width: 300px;
    font-size: 10px;
}

.receipt__title[b-24zlke7n9c] {
    font-weight: 700;
    text-transform: uppercase;
}

.receipt__logo > img[b-24zlke7n9c] {
    max-width: 150px;
}

.receipt__transaction-head[b-24zlke7n9c] {
    display: flex;
    justify-content: space-between;
}

.receipt__transaction-body[b-24zlke7n9c] {
    padding-left: 16px;
}

.receipt__transaction + .receipt__transaction[b-24zlke7n9c] {
    margin-top: 8px;
}

.receipt__transaction-body-detail-price > li:last-child[b-24zlke7n9c] {
    margin-right: 80px;
}

.receipt__subtotal[b-24zlke7n9c] {
    font-weight: 700;
}

.receipt__totals[b-24zlke7n9c] {
    border-top: 1px solid black;
    padding: 8px 0 12px;
    font-weight: 700;
    font-size: 16px;
}

.receipt__totals > * + *[b-24zlke7n9c] {
    margin-top: 12px;
}

.receipt__savings[b-24zlke7n9c] {
    font-size: 16px;
    font-weight: 700;
    line-height: 1.5;
    padding: 4px 0;
    border-top: 1px dotted black;
    border-bottom: 1px dotted black;
}

.receipt__sales-final[b-24zlke7n9c] {
    font-weight: 700;
    text-transform: uppercase;
}

.receipt__store-details[b-24zlke7n9c] {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    padding: 4px 0;
}
/* _content/Nexus.Web/Components/Commerce/SmsCampaignCreateCampaignFormTab/SmsCampaignCreateCampaignFormTab.razor.rz.scp.css */
[b-dc78f7j1zn] .campaign-message .mud-input-adornment {
    margin-top: -76px;
}

[b-dc78f7j1zn] .campaign-message .mud-input-adornment > p {
    font-size: 16px;
}
/* _content/Nexus.Web/Components/Donations/DonorProfileSchedulePickup/DonorProfileSchedulePickup.razor.rz.scp.css */
[b-8a2fogy4ln] .mud-table-container {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border: 1px solid var(--admin-palette-gray-80);
}

[b-8a2fogy4ln] .mud-table-root .mud-table-head .mud-table-cell {
    background-color: var(--admin-palette-gray-98);
    font-size: 14px;
    font-weight: 700;
    white-space: nowrap;
}

[b-8a2fogy4ln] .mud-table-body .mud-table-cell {
    font-size: 16px;
    border-bottom-color: var(--admin-palette-gray-80);
}

/* Remove default min-width on kebab buttons */
[b-8a2fogy4ln] .mud-table-row .mud-button {
    min-width: auto;
}

.schedule-pickup__navigator[b-8a2fogy4ln] {
    column-gap: 24px;
    overflow-x: scroll;
}

.schedule-pickup__navigator-label[b-8a2fogy4ln] {
    white-space: nowrap;
}

.schedule-pickup__error[b-8a2fogy4ln] {
    background-color: var(--admin-palette-error-lighten);
}

/* Styling for current stepper step */
.schedule-pickup__navigator[b-8a2fogy4ln]  .stepper-current-step {
    border-width: 2px;
    font-weight: 600;
}

/* Zip code search field & button */
    .zip-search[b-8a2fogy4ln] {
        position: relative;
        margin-bottom: 68px;
    }

    .zip-search__input[b-8a2fogy4ln] {
        border: 1px solid var(--admin-palette-gray-80);
        border-radius: 24px;
        flex: 1;
        padding-left: 20px;
    }

    .zip-search[b-8a2fogy4ln]  .mud-input-control {
        margin: 8px 0;
    }

    .zip-search[b-8a2fogy4ln]  .mud-input-control-input-container .mud-input-text {
        margin: 0 !important;
    }

    /* Positioning of helper text */
    .zip-search[b-8a2fogy4ln]  .mud-input-control-helper-container {
        position: absolute;
        bottom: -32px;
        left: -10px;
    }

    .zip-search[b-8a2fogy4ln]  .zip-search__submit {
        padding: 10px 24px;
    }

/* Address Confirmation */
    .address-confirmation[b-8a2fogy4ln]  .mud-radio {
        align-items: flex-start;
    }

    .address-confirmation[b-8a2fogy4ln]  .mud-button-root {
        padding-top: 0;
    }

    .address-confirmation[b-8a2fogy4ln]  .mud-icon-button:hover {
        background-color: transparent !important;
    }

    /* Ensure entire card is clickable */
    [b-8a2fogy4ln] .address-confirmation__item .mud-radio {
        width: 100%;
        margin-right: 0;
        padding: 16px;
    }

    [b-8a2fogy4ln] .address-confirmation__item + .address-confirmation__item {
        margin-top: 16px;
    }

    [b-8a2fogy4ln] .checked-card {
        background-color: var(--admin-palette-gray-98);
        border-color: var(--donor-palette-gray-80);
    }
/* _content/Nexus.Web/Components/Donations/FileManagerImport/FileManagerImport.razor.rz.scp.css */
[b-37dvj7u6b3] .mud-table-container {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    border: 1px solid var(--admin-palette-gray-80);
}

[b-37dvj7u6b3] .mud-table-root .mud-table-head .mud-table-cell {
    background-color: var(--admin-palette-gray-98);
    font-size: 14px;
    font-weight: 700;
    white-space: nowrap;
}

[b-37dvj7u6b3] .mud-table-body .mud-table-cell {
    font-size: 16px;
    border-bottom-color: var(--admin-palette-gray-80);
}
/* _content/Nexus.Web/Components/Pages/ErrorRoutes/404.razor.rz.scp.css */
h2.mud-typography.mud-typography-h1[b-agys0b2dd4] {
    font-size: 200px;
}
/* _content/Nexus.Web/Components/Pages/ErrorRoutes/500.razor.rz.scp.css */
h2.mud-typography.mud-typography-h1[b-h58tyvw7uu] {
    font-size: 200px;
}
/* _content/Nexus.Web/Components/Shared/AdminProfileHistory/AdminProfileHistory.razor.rz.scp.css */
.profile__history[b-rndb5x9c0k] {
    width: 500px;
    padding-right: 83px;
}

.profile__history > * + *[b-rndb5x9c0k] {
    margin-top: 48px;
}

.profile__history-entry + .profile__history-entry[b-rndb5x9c0k] {
    margin-top: 16px;
}
/* _content/Nexus.Web/Components/Shared/AdminSearchField/AdminSearchField.razor.rz.scp.css */
.admin-search__input[b-7686yz4b4m] {
    border: 1px solid var(--admin-palette-gray-80);
    border-radius: 24px;
    flex: 1;
}

[b-7686yz4b4m] .admin-search__submit {
    border-color: var(--admin-palette-gray-80);
}

[b-7686yz4b4m] .mud-input-adornment {
    margin-left: 13px;
}

[b-7686yz4b4m] input.mud-input-root {
    padding-top: 12px;
    padding-bottom: 12px;
}

/* Remove unneeded MudBlazor margins */
[b-7686yz4b4m] .mud-input-control,
[b-7686yz4b4m] .mud-input-text {
    margin: 0 !important;
}
/* _content/Nexus.Web/Components/Shared/AdminStatusChip/AdminStatusChip.razor.rz.scp.css */
[b-2zg1n7y9k6] .mud-chip-content {
  color: var(--mud-palette-dark-darken);
}
/* _content/Nexus.Web/Components/Shared/AdminSubscriberHistory/AdminSubscriberHistory.razor.rz.scp.css */
.profile__history[b-71ws29msvs] {
    width: 500px;
    padding-right: 83px;
}

.profile__history > * + *[b-71ws29msvs] {
    margin-top: 48px;
}

.profile__history-entry + .profile__history-entry[b-71ws29msvs] {
    margin-top: 16px;
}
/* _content/Nexus.Web/Components/Shared/AdminTable/AdminTable.razor.rz.scp.css */
[b-v2ciun79vc] .mud-table-container {
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  border: 1px solid var(--admin-palette-gray-80);
}

[b-v2ciun79vc] .mud-table-root .mud-table-head .mud-table-cell {
  background-color: var(--admin-palette-gray-98);
  font-size: 14px;
  font-weight: 700;
  white-space: nowrap;
}

[b-v2ciun79vc] .mud-table-body .mud-table-cell {
  font-size: 16px;
  border-bottom-color: var(--admin-palette-gray-80);
}

/* Remove default min-width on kebab buttons */
[b-v2ciun79vc] .mud-table-row .mud-button {
    min-width: auto;
}

[b-v2ciun79vc] .mud-table-pagination-toolbar {
    border: 1px solid var(--admin-palette-gray-80);
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    margin-top: -1px; /* to remove the gap between the table and the pagination toolbar */
}

/* Styles for kebab popover */
    [b-v2ciun79vc] .admin-table-kebab-list {
        min-width: 145px;
        padding-top: inherit;
        padding-bottom: inherit;
    }

    /* Left icon spacing */
    [b-v2ciun79vc] .admin-table-kebab-list .mud-list-item-icon {
        min-width: 38px;
    }

    [b-v2ciun79vc] .admin-table-kebab-list .mud-list-item.mud-list-item-dense {
        padding: 8px 16px;
    }

    [b-v2ciun79vc] .mud-table-body .mud-table-cell {
        height: 81px;
    }

/* Sticky tools column */
[b-v2ciun79vc] .mud-table-head .mud-table-cell.admin-table-tools-column,
[b-v2ciun79vc] .mud-table-body .mud-table-cell.admin-table-tools-column {
    position: sticky;
    right: 0;
    z-index: 10;
    max-width: 60px !important;
    width: 60px !important;
    padding: 8px !important;
    text-align: center;
    background-color: white;
}


[b-v2ciun79vc] .mud-table-head .mud-table-cell.admin-table-tools-column {
    z-index: 11;
    background-color: var(--admin-palette-gray-98);
}

[b-v2ciun79vc] .mud-table-head .mud-table-cell.admin-table-tools-column {
    background-color: white;
}

[b-v2ciun79vc] .mud-table-head .mud-table-cell.admin-table-tools-column {
    background-color: #f5f5f5;
}

[b-v2ciun79vc] .mud-table-head .mud-table-cell.admin-table-tools-column {
    background-color: var(--admin-palette-gray-98) !important;
}

/* Shadowbox when sticky kebab overlaps content */
[b-v2ciun79vc] .mud-table-container.has-overflow .mud-table-head .mud-table-cell.admin-table-tools-column,
[b-v2ciun79vc] .mud-table-container.has-overflow .mud-table-body .mud-table-cell.admin-table-tools-column {
    border-left: 1px solid var(--admin-palette-gray-80);
    box-shadow: -8px 0 10px -8px rgba(0, 0, 0, 0.2);
}
/* _content/Nexus.Web/Components/Shared/AdminTabs/AdminTabs.razor.rz.scp.css */
[b-rcy67c8td4] .mud-tab {
  padding: 12px 24px;
  text-transform: none;
  font-size: 16px;
    overflow: visible;
}

/* Remove relative positioning to allow popover to be positioned correctly */
[b-rcy67c8td4] .mud-tabs-panels {
  position: static;
}

[b-rcy67c8td4] .mud-tab-badge {
    margin-top: 13px;
}
/* _content/Nexus.Web/Components/Shared/BackToLink/BackToLink.razor.rz.scp.css */
.back-to-link[b-nd7fio28mg] {
    padding: 22px 48px;
    width: 100%;
    border-bottom: 1px solid var(--admin-palette-gray-80);
}

.back-to-link-left[b-nd7fio28mg] {
    margin-left: var(--mud-drawer-width, var(--mud-drawer-width-left));
}

.back-to-link-right[b-nd7fio28mg],
.back-to-link-left[b-nd7fio28mg] {
    display: flex;
    align-items: center;
    font-size: 14px;
}
/* _content/Nexus.Web/Components/Shared/LoadingInterstitial/LoadingInterstitial.razor.rz.scp.css */
@keyframes fade-in-b-k8kbzpp3xc {
    from { opacity: 0; }
    to { opacity: 1; }
}

.interstitial-loading[b-k8kbzpp3xc] {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999; /* Ensure it is on top of other elements */
    background-color: var(--admin-palette-gray-50);
    animation: fade-in-b-k8kbzpp3xc .15s ease-in;
    display: flex;
    justify-content: center;
    align-items: center;
}

.interstitial-loading__inner[b-k8kbzpp3xc] {
    text-align: center;
}

[b-k8kbzpp3xc] .mud-progress-circular-circle {
    stroke: var(--mud-palette-grey-lighter);
}

.interstitial-loading__heading[b-k8kbzpp3xc] {
    color: var(--admin-palette-gray-90);
}
/* _content/Nexus.Web/Components/Shared/SimpleTable/SimpleTable.razor.rz.scp.css */
[b-parnx73jsz] .mud-table-container {
    border: 1px solid #BBBFC8;
    border-radius: 8px;
}
  
[b-parnx73jsz] .mud-table-head {
    background-color: #F3F3F7;
    font-size: 14px;
    white-space: nowrap;
}

[b-parnx73jsz] .mud-table-head .mud-table-cell {
    font-weight: 700;
}

[b-parnx73jsz] .mud-table-body .mud-table-cell {
    font-size: 16px;
    padding: 24px 16px;
}
  
